## LOC Inject Xtra Data request

LOC Inject Xtra Data request

## Functions

QmiMessageLocInjectXtraDataInput * | qmi_message_loc_inject_xtra_data_input_new ()
QmiMessageLocInjectXtraDataInput * | qmi_message_loc_inject_xtra_data_input_ref ()
void | qmi_message_loc_inject_xtra_data_input_unref ()
gboolean | qmi_message_loc_inject_xtra_data_input_get_part_data ()
gboolean | qmi_message_loc_inject_xtra_data_input_set_part_data ()
gboolean | qmi_message_loc_inject_xtra_data_input_get_part_number ()
gboolean | qmi_message_loc_inject_xtra_data_input_set_part_number ()
gboolean | qmi_message_loc_inject_xtra_data_input_get_total_parts ()
gboolean | qmi_message_loc_inject_xtra_data_input_set_total_parts ()
gboolean | qmi_message_loc_inject_xtra_data_input_get_total_size ()
gboolean | qmi_message_loc_inject_xtra_data_input_set_total_size ()
QmiMessageLocInjectXtraDataOutput * | qmi_message_loc_inject_xtra_data_output_ref ()
void | qmi_message_loc_inject_xtra_data_output_unref ()
gboolean | qmi_message_loc_inject_xtra_data_output_get_result ()
void | qmi_client_loc_inject_xtra_data ()
QmiMessageLocInjectXtraDataOutput * | qmi_client_loc_inject_xtra_data_finish ()

## Types and Values

| QmiMessageLocInjectXtraDataInput
| QmiMessageLocInjectXtraDataOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageLocInjectXtraDataInput
        ╰── QmiMessageLocInjectXtraDataOutput

## Description

## Functions

### qmi_message_loc_inject_xtra_data_input_new ()

    QmiMessageLocInjectXtraDataInput *
    qmi_message_loc_inject_xtra_data_input_new
                                   (void);

Allocates a new QmiMessageLocInjectXtraDataInput.

#### Returns

the newly created QmiMessageLocInjectXtraDataInput. The returned value should be freed with `qmi_message_loc_inject_xtra_data_input_unref()`.

Since: 1.22

### qmi_message_loc_inject_xtra_data_input_ref ()

    QmiMessageLocInjectXtraDataInput *
    qmi_message_loc_inject_xtra_data_input_ref
                                   (QmiMessageLocInjectXtraDataInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageLocInjectXtraDataInput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_loc_inject_xtra_data_input_unref ()

    void
    qmi_message_loc_inject_xtra_data_input_unref
                                   (QmiMessageLocInjectXtraDataInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageLocInjectXtraDataInput. |

Since: 1.22

### qmi_message_loc_inject_xtra_data_input_get_part_data ()

    gboolean
    qmi_message_loc_inject_xtra_data_input_get_part_data
                                   (QmiMessageLocInjectXtraDataInput *self,
                                    GArray **value_part_data,
                                    GError **error);

Get the 'Part Data' field from `self` .

#### Parameters

self | a QmiMessageLocInjectXtraDataInput. |
value_part_data | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_inject_xtra_data_input_set_part_data ()

    gboolean
    qmi_message_loc_inject_xtra_data_input_set_part_data
                                   (QmiMessageLocInjectXtraDataInput *self,
                                    GArray *value_part_data,
                                    GError **error);

Set the 'Part Data' field in the message.

#### Parameters

self | a QmiMessageLocInjectXtraDataInput. |
value_part_data | a GArray of guint8 elements. A new reference to `value_part_data` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_inject_xtra_data_input_get_part_number ()

    gboolean
    qmi_message_loc_inject_xtra_data_input_get_part_number
                                   (QmiMessageLocInjectXtraDataInput *self,
                                    guint16 *value_part_number,
                                    GError **error);

Get the 'Part Number' field from `self` .

#### Parameters

self | a QmiMessageLocInjectXtraDataInput. |
value_part_number | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_inject_xtra_data_input_set_part_number ()

    gboolean
    qmi_message_loc_inject_xtra_data_input_set_part_number
                                   (QmiMessageLocInjectXtraDataInput *self,
                                    guint16 value_part_number,
                                    GError **error);

Set the 'Part Number' field in the message.

#### Parameters

self | a QmiMessageLocInjectXtraDataInput. |
value_part_number | a guint16. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_inject_xtra_data_input_get_total_parts ()

    gboolean
    qmi_message_loc_inject_xtra_data_input_get_total_parts
                                   (QmiMessageLocInjectXtraDataInput *self,
                                    guint16 *value_total_parts,
                                    GError **error);

Get the 'Total Parts' field from `self` .

#### Parameters

self | a QmiMessageLocInjectXtraDataInput. |
value_total_parts | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_inject_xtra_data_input_set_total_parts ()

    gboolean
    qmi_message_loc_inject_xtra_data_input_set_total_parts
                                   (QmiMessageLocInjectXtraDataInput *self,
                                    guint16 value_total_parts,
                                    GError **error);

Set the 'Total Parts' field in the message.

#### Parameters

self | a QmiMessageLocInjectXtraDataInput. |
value_total_parts | a guint16. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_inject_xtra_data_input_get_total_size ()

    gboolean
    qmi_message_loc_inject_xtra_data_input_get_total_size
                                   (QmiMessageLocInjectXtraDataInput *self,
                                    guint32 *value_total_size,
                                    GError **error);

Get the 'Total Size' field from `self` .

#### Parameters

self | a QmiMessageLocInjectXtraDataInput. |
value_total_size | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_inject_xtra_data_input_set_total_size ()

    gboolean
    qmi_message_loc_inject_xtra_data_input_set_total_size
                                   (QmiMessageLocInjectXtraDataInput *self,
                                    guint32 value_total_size,
                                    GError **error);

Set the 'Total Size' field in the message.

#### Parameters

self | a QmiMessageLocInjectXtraDataInput. |
value_total_size | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_inject_xtra_data_output_ref ()

    QmiMessageLocInjectXtraDataOutput *
    qmi_message_loc_inject_xtra_data_output_ref
                                   (QmiMessageLocInjectXtraDataOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageLocInjectXtraDataOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_loc_inject_xtra_data_output_unref ()

    void
    qmi_message_loc_inject_xtra_data_output_unref
                                   (QmiMessageLocInjectXtraDataOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageLocInjectXtraDataOutput. |

Since: 1.22

### qmi_message_loc_inject_xtra_data_output_get_result ()

    gboolean
    qmi_message_loc_inject_xtra_data_output_get_result
                                   (QmiMessageLocInjectXtraDataOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageLocInjectXtraDataOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.22

### qmi_client_loc_inject_xtra_data ()

    void
    qmi_client_loc_inject_xtra_data (QmiClientLoc *self,
                                     QmiMessageLocInjectXtraDataInput *input,
                                     guint timeout,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously sends a Inject Xtra Data request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_loc_inject_xtra_data_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientLoc. |
input | a QmiMessageLocInjectXtraDataInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.22

### qmi_client_loc_inject_xtra_data_finish ()

    QmiMessageLocInjectXtraDataOutput *
    qmi_client_loc_inject_xtra_data_finish
                                   (QmiClientLoc *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_loc_inject_xtra_data()`.

#### Parameters

self | a QmiClientLoc. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_loc_inject_xtra_data()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageLocInjectXtraDataOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_loc_inject_xtra_data_output_unref()`.

Since: 1.22

## Types and Values

### QmiMessageLocInjectXtraDataInput

    typedef struct _QmiMessageLocInjectXtraDataInput QmiMessageLocInjectXtraDataInput;

The QmiMessageLocInjectXtraDataInput structure contains private data and should only be accessed using the provided API.

Since: 1.22

### QmiMessageLocInjectXtraDataOutput

    typedef struct _QmiMessageLocInjectXtraDataOutput QmiMessageLocInjectXtraDataOutput;

The QmiMessageLocInjectXtraDataOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22